# List live videos

### URL

<mark style="color:blue;">**GET**</mark> `https://api.complycube.com/v1/liveVideos?clientId=:id`

This endpoint allows you to list all existing live videos for a given client.\
\
The live videos are returned sorted by creation date, with the most recent live videos appearing first.

### Headers

<table><thead><tr><th width="294">Name</th><th width="89">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>Authorization</code><mark style="color:red;">*</mark></td><td>string</td><td>The API <code>live</code> or <code>test</code> key.</td></tr></tbody></table>

### Query parameters

<table><thead><tr><th width="295">Name</th><th width="88">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>clientId</code><mark style="color:red;">*</mark></td><td>string</td><td>The ID of the client.</td></tr><tr><td>&#x3C;pagination></td><td>string</td><td>The number of items to return and the number of pages to offset.</td></tr><tr><td>&#x3C;filtering></td><td>string</td><td>Filter the results.</td></tr></tbody></table>

{% hint style="info" %}
You can use [pagination](/documentation/api-reference/pagination.md) for this endpoint.
{% endhint %}

### Example request

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X GET https://api.complycube.com/v1/liveVideos?clientId={:clientId} \
     -H 'Authorization: <YOUR_API_KEY>'
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
const { ComplyCube } = require("@complycube/api");

const complycube = new ComplyCube({ apiKey: "<YOUR_API_KEY>" });

const liveVideos = await complycube.liveVideo.list("CLIENT_ID");
```

{% endtab %}

{% tab title="Python" %}

```python
from complycube import ComplyCubeClient

cc_api = ComplyCubeClient(api_key='<YOUR_API_KEY>')

livevideos = cc_api.livevideos.list('CLIENT_ID')
```

{% endtab %}

{% tab title="PHP" %}

```php
use ComplyCube\ComplyCubeClient;

$ccapi = new ComplyCubeClient('<YOUR_API_KEY>');

$videos = $ccapi->livevideos()->list('CLIENT_ID');
```

{% endtab %}

{% tab title=".NET" %}

```csharp
using ComplyCube.Net;
using ComplyCube.Net.Resources.LiveVideos;

var videoApi = new liveVideoApi(new ComplyCubeClient("<YOUR_API_KEY>"));

var videos = liveVideoApi.ListAsync("CLIENT_ID").Result;
```

{% endtab %}
{% endtabs %}

### Example responses

{% tabs %}
{% tab title="Success (200)" %}

```json
{
    "page": 1,
    "pageSize": 100,
    "totalItems": 1,
    "pages": 1,
    "items": [
        {
          "id": "5eb1b5f231778a0008d1c3f6",
          "clientId": "5eb1276d96be4a0008713af5",
          "language": "en-GB",
          "challenges": [
            {
              "type": "voice",
              "value": [
                "7",
                "9",
                "1",
                "7"
              ]
            },
            {
              "type": "actions",
              "value": [
                "turnHeadLeft"
              ]
            }
          ],
          "createdAt": "2020-01-01T14:06:44.756Z",
          "updatedAt": "2020-01-01T14:06:44.756Z"
      }
    ]
}
```

{% endtab %}

{% tab title="Invalid Request (400)" %}

```json
{
    "type": "invalid_request",
    "message": "The query parameter 'clientId' is required"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.complycube.com/documentation/api-reference/core-resources/live-videos/list-live-videos.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
